org.apache.hadoop.io

## Class BloomMapFile

- java.lang.Object
- - org.apache.hadoop.io.BloomMapFile

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class BloomMapFile
      extends Object

  This class extends `MapFile` and provides very much the same functionality. However, it uses dynamic Bloom filters to provide quick membership test for keys, and it offers a fast version of `BloomMapFile.Reader.get(WritableComparable, Writable)` operation, especially in case of sparsely populated MapFile-s.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BloomMapFile.Reader`
    `static class` | `BloomMapFile.Writer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BLOOM_FILE_NAME`
    `static int` | `HASH_COUNT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BloomMapFile()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `delete(FileSystem fs, String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BLOOM_FILE_NAME

          public static final String BLOOM_FILE_NAME

      See Also:
        Constant Field Values

    - #### HASH_COUNT

          public static final int HASH_COUNT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BloomMapFile

          public BloomMapFile()

  - ### Method Detail

    - #### delete

          public static void delete(FileSystem fs,
                                    String name)
                             throws IOException

      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.